<?php
defined('_WPBOOKINGPRO_EXEC') or die;
if(!class_exists("WpBookingPro_CategoryView")) {
    /**
     * Class WpBookingPro_CategoryView
     */
    class WpBookingPro_CategoryView extends WooBookingView
    {
        /**
         * @var
         */
        public $item;
        /**
         * @var
         */
        public $state;

        /**
         * @param null $tpl
         * @return false|string
         * @throws Exception
         */
        public function display($tpl = null)
        {
            $modelCategory = $this->getModel('category');
            $input = Factory::getInput();
            switch ($tpl) {
                case "item":
                    $id = 2;
                    $this->item = $modelCategory->getItem($id);
                    $this->form = $modelCategory->getForm();
                    break;
                case "form":
                    $id = $input->getInt('id', 0);
                    $this->item = $modelCategory->getItem($id);
                    $this->form = $modelCategory->getForm();
                    break;
                case "list":
                default:
                    $modelCategories = $this->getModel('categories');
                    $this->filterForm = $modelCategories->getFilterForm();
                    $this->list = $modelCategories->getList();
                    $this->state = $modelCategories->getState();
                    break;
            }
            return parent::display($tpl);
        }
    }
}